If you’re curious about the system requirements needed to run Sandboxx, read on to learn which operating systems (OS) and browsers we support. For the best experience, we recommend using the latest versions.


Mobile

OS

OS version

iOS

iOS 14 or above

Android

Android 8 or above

Web browser

Browser

Chrome

Firefox

Safari

Microsoft Edge

Did this answer your question?